<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jstl/core" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gazelle="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="menuForm">
        <ui:decorate template="/layout/menu/_menu_template.xhtml">

            <ui:define name="menu_title">
                <h:outputLink styleClass="navbar-brand"
                              value="#{applicationManagerBean.getUrl()}/home.seam">
                    <h:outputText value="#{applicationManagerBean.getTitle()}"/>
                </h:outputLink>
            </ui:define>

            <ui:define name="menu_logo">
                <h:graphicImage library="img" name="gazelle.png" height="34px"/>
            </ui:define>

            <ui:define name="menu_navigation_links">
                <ui:include src="/layout/menu/_generate_navigation_links.xhtml">
                    <ui:param name="icon_template" value="/layout/menu/_fontawesome_icon_template.xhtml"/>
                    <ui:param name="url_base_name" value="#{applicationManagerBean.getUrlBaseResource()}"/>
                    <ui:param name="menu" value="#{applicationManagerBean.mainMenu}"/>
                </ui:include>
            </ui:define>

            <ui:define name="menu_user_actions_right">
                <ui:include src="/layout/menu/_generate_navigation_links.xhtml">
                    <ui:param name="icon_template" value="/layout/menu/_fontawesome_icon_template.xhtml"/>
                    <ui:param name="url_base_name" value="#{applicationManagerBean.getUrlBaseResource()}"/>
                    <ui:param name="menu" value="#{applicationManagerBean.sideMenu}"/>
                </ui:include>
                <li>
                    <h:outputLink value="#{applicationConfiguration.getValueOfVariable('application_documentation')}"
                                  target="_blank">
                        <span class="fa fa-question-circle" style="float: left; margin-top: -0.07em;"></span>
                        <h:outputText value="#{messages['net.ihe.gazelle.atna.Help']}"/>
                    </h:outputLink>
                </li>
                <!-- First and classic CAS button  -->
                <ui:include src="/layout/_login_menu.xhtml"/>
            </ui:define>

        </ui:decorate>
    </h:form>
</ui:composition>